# Jean-Franois Roche (jfroche@jfroche.be)
#  ZPhotoSlides 0.7
#  GNU GPL
# 
# Florent Carlier (florent.carlier@insa-rennes.fr)
#  ZPhotoSlides Folder 0.1
#  GNU GPL

__author__="""Jean-Franois Roche (jfroche@jfroche.be)"""
__doc__="""Z Photos Slides Initialisation"""
__version__='$Revision: 1.7 $'[11:-2]

import ZPhotoSlides
import ZPhotoSlidesFolder

#from LocalFS import LocalFS
misc_ = {}
def initialize(context):
        context.registerClass(
            ZPhotoSlides.ZPhotoSlides,
            constructors=(ZPhotoSlides.manage_addZPhotoSlidesForm,ZPhotoSlides.manage_addZPhotoSlides),
            icon='www/photo.gif'
            )
        context.registerClass(
            ZPhotoSlidesFolder.ZPhotoSlidesFolder,
            constructors = (ZPhotoSlidesFolder.manage_addZPhotoSlidesFolderForm, ZPhotoSlidesFolder.manage_addZPhotoSlidesFolder),
            icon = 'www/photofolder.gif'
            )
	context.registerHelp()
	context.registerHelpTitle('ZPhotoSlides')

	registerIcon('carte1.jpg')
	registerIcon('timbre.jpg')
	registerIcon('carte_ligne.gif')
	registerIcon('mainbar.gif')


import OFS, App

def registerIcon(filename, idreplacer={}):
	objectid = filename
	for k,v in idreplacer.items():
		objectid= objectid.replace(k,v)
	setattr(OFS.misc_.misc_.ZPhotoSlides,
	        objectid,
		App.ImageFile.ImageFile('www/%s' % filename, globals())
		)
